Package com.avaya.clientservices.client

## Class Log

- java.lang.Object
- - com.avaya.clientservices.client.Log

-     public class Log
      extends java.lang.Object

  Provides internal logging for the Avaya Client Services library.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Log()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `d​(java.lang.String msg)` |
    `static void` | `d​(java.lang.String msg, java.lang.Throwable throwable)` |
    `static void` | `e​(java.lang.String msg)` |
    `static void` | `e​(java.lang.String msg, java.lang.Throwable throwable)` |
    `static Client.LogLevel` | `getLogLevel()` |
    `static Client.LogListener` | `getLogListener()` |
    `static void` | `i​(java.lang.String msg)` |
    `static void` | `i​(java.lang.String msg, java.lang.Throwable throwable)` |
    `static void` | `seci​(java.lang.String msg)` |
    `static void` | `secw​(java.lang.String msg)` |
    `static void` | `secw​(java.lang.String msg, java.lang.Throwable throwable)` |
    `static void` | `setLogLevel​(Client.LogLevel level)` |
    `static void` | `setLogListener​(Client.LogListener listener)` |
    `static void` | `w​(java.lang.String msg)` |
    `static void` | `w​(java.lang.String msg, java.lang.Throwable throwable)` |
    `static void` | `writeMessage​(Client.LogLevel level, java.lang.String msg)` |
    `static void` | `writeMessage​(Client.LogLevel level, java.lang.String tag, java.lang.String msg)` |
    `static void` | `writeMessage​(Client.LogLevel level, java.lang.String msg, java.lang.Throwable throwable)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Log

          public Log()

  - ### Method Detail

    - #### getLogListener

          public static Client.LogListener getLogListener()

    - #### setLogListener

          public static void setLogListener​(Client.LogListener listener)

    - #### getLogLevel

          public static Client.LogLevel getLogLevel()

    - #### setLogLevel

          public static void setLogLevel​(Client.LogLevel level)

    - #### e

          public static void e​(java.lang.String msg)

    - #### e

          public static void e​(java.lang.String msg,
                               java.lang.Throwable throwable)

    - #### w

          public static void w​(java.lang.String msg)

    - #### w

          public static void w​(java.lang.String msg,
                               java.lang.Throwable throwable)

    - #### i

          public static void i​(java.lang.String msg)

    - #### i

          public static void i​(java.lang.String msg,
                               java.lang.Throwable throwable)

    - #### d

          public static void d​(java.lang.String msg)

    - #### d

          public static void d​(java.lang.String msg,
                               java.lang.Throwable throwable)

    - #### secw

          public static void secw​(java.lang.String msg)

    - #### secw

          public static void secw​(java.lang.String msg,
                                  java.lang.Throwable throwable)

    - #### seci

          public static void seci​(java.lang.String msg)

    - #### writeMessage

          public static void writeMessage​(Client.LogLevel level,
                                          java.lang.String msg,
                                          java.lang.Throwable throwable)

    - #### writeMessage

          public static void writeMessage​(Client.LogLevel level,
                                          java.lang.String msg)

    - #### writeMessage

          public static void writeMessage​(Client.LogLevel level,
                                          java.lang.String tag,
                                          java.lang.String msg)